.main-form {
  display: flex;
  flex-direction: column;
  margin-top: 30px;
}

.banner {
  position: absolute;
  width: 100vw;
  height: 250px;
  left: 0;
  top: 80px;
  z-index: -9999;
  display: flex;
  justify-content: center;
  background: linear-gradient(270deg, #000f8e 25%, #a931f6 129.76%);
}

::ng-deep .mat-tab-header {
  border: none !important;
}

:host ::ng-deep .mat-ink-bar {
  display: none !important;
}

::ng-deep .mat-tab-body-content {
  background-color: #000f8e;
  display: flex;
  flex-direction: row;
  color: white;
  flex-wrap: wrap;
}

::ng-deep .mat-tab-label-content {
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
}

::ng-deep .mat-tab-labels {
  border: 1px solid #000f8e;
  width: 99.9%;
}

::ng-deep .mat-tab-label.mat-tab-label-active {
  background-color: #000f8e !important;
  color: white;
  border-bottom: none !important;
}

::ng-deep .mat-tab-label {
  width: 100%;
  border-right: 1px solid #000f8e;
  color: #000f8e;
  opacity: 1 !important;
}

.panel-subtitle {
  height: 23px;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 700;
  font-size: 18px;
  line-height: 125%;
  color: #000000;
}

.subtitle-div {
  display: flex;

  >.label-link {
    margin-left: 20px;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    text-decoration-line: underline;
    color: #000f8e;
  }
}

.claim-ref-button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  height: 44px;
  background: #ffffff;
  color: #000f8e;
  border: 1px solid #000f8e;
  border-radius: 3px;
  margin: 5px;
}

// ::ng-deep .mat-button-wrapper {
//   display: flex;
//   align-items: center;
//   justify-content: center;
// }

.ref-button-wrapper {
  padding: 20px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.banner-overlay {
  z-index: 99;
  height: 80%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-top: 84px;

  .vp-template {
    display: flex; 
    flex-direction: column;
    .json-size {
        font-size: 12px;
        font-weight: 200;
        color: white;
        text-align: center;
        opacity: 0.8;
    }
  }
}

.certificate-button-wrapper {
  margin-bottom: 1.5em;
}

.title-div {
  display: flex;

  >.mat-icon-button {
    margin-right: 10px;
  }

  >.title {
    height: 35px;
    margin-bottom: 0;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 700;
    font-size: 28px;
    line-height: 125%;
    margin-left: 10px;
    color: #ffffff;
    flex: none;
    order: 1;
    flex-grow: 0;
  }
}

.add-service-description {
    color: #ffffff;
    font-family: "Titillium Web", serif;
    font-weight: 400 !important;
    font-size: 14px !important;
    line-height: 23px !important;
    margin-left: 58px;
    width: 50%;
}

.back {
  color: white;
}

.claim-category {
  color: white;
  background-color: #0000a0ae;
  width: 190px;
  border-radius: 10px;
  padding: 6px;
  display: flex;
  margin: 14px 10px 10px 0;
  justify-content: center;
}

.btn {
  margin: 0 5px 5px 0;
}

.claims-title {
  padding: 10px;
  width: max-content;
}

.chip {
  background-color: #bb00ff53;
  color: white;
}

.form-location {
  display: flex;
  flex-direction: row;
}

::ng-deep .add-claim-wrapper {
  display: flex;
  margin: 20px 0 20px 0;

  >.mat-form-field-appearance-outline .mat-form-field-wrapper {
    margin: 0;
    padding: 0 !important;
  }

  >.mat-icon-button {
    padding: 0;
    min-width: 0;
    width: 50px;
    height: 50px;
    flex-shrink: 0;
    line-height: 40px;
    border-radius: 50%;
  }
}

.add-other-wrapper {
  display: flex;
}

.claims-add-div {
  display: flex;
  justify-content: space-between;
}

.check-location {
  margin: 20px;
}

.example-action-buttons {
  padding-bottom: 20px;
}

// .example-headers-align .mat-expansion-panel-header-description {
//   justify-content: space-between;
//   align-items: center;
// }

.example-headers-align .mat-form-field+.mat-form-field {
  margin-left: 8px;
}

.expansion-panel-small {
  width: 156.22px;
  height: 20px;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;

  color: #000f8e;
}

::ng-deep .mat-expansion-panel {
  gap: 10px;
  background: #ffffff;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
  border-radius: 3px;
}

::ng-deep .mat-expansion-panel-body {
  display: flex;
  flex-direction: column;
}

::ng-deep .mat-expansion-panel-header {
  padding: 15px !important;
  height: 64px !important;

  >span.mat-expansion-panel-indicator {
    margin-right: 20px;
  }

}

::ng-deep .mat-expansion-panel-header.mat-expanded {
  height: 64px;
}

::ng-deep .mat-expansion-panel-header-title {
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 700;
  font-size: 24px;
  color: #000f8e;
}

.layer-button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 12px 16px;
  gap: 8px;
  width: fit-content;
  background: #ffffff;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 125%;
  border: 1px solid #000f8e;
  border-radius: 3px;
  margin: 10px;
  color: #000f8e;
}

.type-button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 12px 16px;
  gap: 8px;
  width: max-content;
  background: #ffffff;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 125%;
  border: 1px solid #000f8e;
  border-radius: 3px;
  margin: 10px;
  color: #000f8e;
}

.mat-form-field-appearance-standard.mat-form-field-can-float .mat-form-field-flex:not(.mat-form-field-should-float) .mat-form-field-infix input:focus {
  caret-color: blue;
}


.claim-edit-button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 8px;
  width: 100px;
  background: #ffffff;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  border: 1px solid #000f8e;
  border-radius: 3px;
  margin: 10px;
  color: #000f8e;
}

.claim-delete-button {
  color: #000f8e;
}

.layers-group {
  display: flex;
}

svg {
  margin-right: 20px;
}


input::placeholder {
  color: white;
  align-items: center;
  text-align: center;
}

input:focus::placeholder {
  color: transparent;
}

.service-name-div {
  margin: auto;
  display: flex;
  flex-direction: column;

  >.service-name {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 4px 24px;
    //gap: 24px;
    width: fit-content;
    height: 60px;
    color: white;
    margin-bottom: 0;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 115%;
    background: #000f8e;
    border-radius: 2px;
    caret-color: #ffffff;



    >.service {
      margin-bottom: 0;
    }

    >.edit-icon {
      margin-right: 0;
    }
  }

  >.company-name {
    margin: auto;
    height: 25px;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 125%;
    color: #000f8e;
    margin-top: 20px;
  }
}

.service-name-input input {
  caret-color: white;
  /* or any other color you want */
  caret-shape: block;
  text-align: center;
}

.add-location {
  align-items: center;
  color: #000f8e;
  gap: 8px;
  width: 46px !important;
  height: 44px;
  border: 1px solid #000f8e;
  border-radius: 3px;
}

.stop-add-location {
  color: white;
  align-items: center;
  gap: 8px;
  width: 46px !important;
  height: 44px;
  background: #000f8e;
  border: 1px solid #000f8e;
  border-radius: 3px;
}

.addDataSetButton {
  align-items: center;
  color: #000f8e;
  gap: 8px;
  width: 46px !important;
  height: 44px;
  border: 1px solid #000f8e;
  border-radius: 3px;
  margin-left: 10px;
}

.first-row {
  display: block;
}

.location-form {

  width: 30%;
  margin-right: 30px;
}

.inline-chip-list {
  display: inline-flex;
  align-items: center;
  margin-left: 48px;
}

.domain-chip {
  display: flex;
  align-items: center;
}

.remove-icon {
  cursor: pointer;
  margin-left: 4px;
}

.form-field-wrapper {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  border: none;
}

.locations-formgroup {
  >button {
    float: right;
  }
}

.federation-div {
  display: flex;
  flex-direction: row;
}

.federation-button {
  box-sizing: border-box;
  width: fit-content;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 9px 16px;
  margin: 10px;

  height: 44.67px;

  background: #ffffff;
  border: 1px solid #000f8e;
  border-radius: 3px;

  >p {
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 125%;
    margin: 0;
    margin-right: 10px;
    color: #000f8e;
  }
}

::ng-deep .mat-form-field-appearance-legacy .mat-form-field-infix {
  padding: 1em;
}

.locations-display {
  display: flex;
  align-items: center;
}

::ng-deep .mat-slide-toggle-thumb {
  width: 14px !important;
  height: 14px !important;
  background-color: #706f6f;
  transform: translate(50%, 50%);
}

::ng-deep .mat-slide-toggle-bar {
  border: 1px solid #000f8e;
  background-color: #f7f7f7;
  border-radius: 15px !important;
  height: 18px !important;
  width: 35.18px !important;
}

::ng-deep .mat-slide-toggle-thumb-container {
  top: -5px !important;
  left: -4px !important;
}

::ng-deep .mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-bar {
  background-color: #000f8e;
}

::ng-deep .mat-slide-toggle.mat-checked.mat-disabled .mat-slide-toggle-bar {
  background-color: #003DA5;
}

::ng-deep .mat-slide-toggle.mat-checked.mat-disabled .mat-slide-toggle-thumb {
  background-color: white;
}

::ng-deep.mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-thumb {
  background-color: #fff;
}

.claim-file {
  >p {
    margin: 0;
  }

  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;
}

.separator-horizontal {
  width: 98%;
  height: 0;
  border: 1px solid #d9dada;
  margin-top: 20px;
  margin-bottom: 20px;
}

.ref-cards-wrapper {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
}

.claim-card {
  width: 44%;
  margin-top: 10px;
  margin-bottom: 10px;
  flex-wrap: wrap;
}

//::ng-deep .mat-card-title .mat-card-header-text {
::ng-deep .mat-card-header .mat-card-title {
  margin-bottom: 0;
  font-family: "Titillium Web", serif !important;
  font-style: normal !important;
  font-weight: 600 !important;
  font-size: 16px !important;
  line-height: 125%;
  color: #000000;
}

::ng-deep .mat-card-title.mat-card-title {
  margin-bottom: 0;
}

::ng-deep div.mat-card-header-text {
  margin: 0;
}

::ng-deep .mat-card-title {
  display: flex !important;
  align-items: center !important;
  justify-content: center;
}

.icon-circle {
  margin: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 24px;
  height: 24px;
  width: 24px;
}

.icon-circle-invalid {
  background-color: #000f8e;
}

.icon-circle-valid {
  background-color: green;
}

.claim-card-content {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;

  justify-content: space-between;
  align-items: center;

  >.claim-files {
    margin-left: 34px;
    display: flex;
    flex-direction: row;
    align-items: flex-end;

    >p {
      font-family: "Titillium Web", serif;
      font-style: normal;
      font-weight: 400;
      font-size: 16px;
      line-height: 125%;
      color: #565655;
    }
  }

  >.claim-buttons {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
  }
}

.questionnaire-button {
  color: white;
  pointer-events: auto;
  width: 194px;
  height: 44px;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  border-radius: 3px;
}

.panel-questionnaire-title {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.prevent-click {
  pointer-events: none;
}

.allow-click {
  pointer-events: auto;
}

.submit-button {
  width: 194px;
  height: 42px;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  border-radius: 3px;
}

.dropdown {
  display: inline-block;
  margin-right: 10px;
}

.btn {
  cursor: pointer;
}

.submit-buttons-div {
  display: flex;
  justify-content: space-between;

  >button {
    width: 194px;
    height: 42px;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    border-radius: 3px;
  }

  >.mat-stroked-button {
    height: 44px;
    background: #ffffff;
    // color: #000f8e;
    // border: 1px solid #000f8e;
    border-radius: 3px;
  }

  >.mat-stroked-button:not(.mat-button-disabled) {
    color: #000f8e;
    border: 1px solid #000f8e;
  }
}

::ng-deep .service-name>.mat-form-field {
  .mat-focused {
    .mat-form-field-label {
      color: white;
    }

    .mat-form-field-ripple {
      background-color: white;
    }

    .mat-form-field-required-marker {
      color: white;
    }

    .mat-input-element {
      font-family: "Titillium Web", serif;
      font-style: normal;
      font-weight: 700;
      font-size: 24px;
      line-height: 115%;
      color: #ffffff;
    }
  }

  .mat-input-element {
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 115%;
    color: #ffffff;
  }

  .mat-form-field-wrapper {
    padding-bottom: 1.6em;
  }

  .mat-form-field-label {
    color: white;
  }

  .mat-form-field-infix {
    display: flex;
  }

  .mat-form-field-underline {
    background-color: white !important;
  }

  .mat-form-field-ripple {
    background-color: white;
  }

  .mat-form-field-required-marker {
    color: white;
  }

  .mat-form-field-label-wrapper {
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 115%;
    color: #ffffff;
    opacity: 0.5;
  }
}

.service-name>.name-edit-done-btn {
  font-size: 24px;
}

.edit-icon {
  margin: 0;
}



::ng-deep .service-types {
  >.mat-button-toggle-group {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    border: none;

    >.mat-button-toggle {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      gap: 8px;
      width: max-content;
      background: #ffffff;
      font-family: "Titillium Web", serif;
      font-style: normal;
      font-weight: 400;
      font-size: 16px;
      line-height: 125%;
      border: 1px solid #000f8e;
      border-radius: 3px;
      margin: 10px;
      color: #000f8e;
    }

    .mat-button-toggle-checked {
      background-color: #000f8e;
      color: white;
    }
  }
}

::ng-deep .federation-div {
  >.mat-button-toggle-group {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    border: none;

    >.mat-button-toggle {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      gap: 8px;
      width: max-content;
      background: #ffffff;
      font-family: "Titillium Web", serif;
      font-style: normal;
      font-weight: 400;
      font-size: 16px;
      line-height: 125%;
      border: 1px solid #000f8e;
      border-radius: 3px;
      margin: 10px;
      color: #000f8e;
    }
  }
}

.hidden {
  visibility: hidden;
  width: 10px;
}

.visible {
  visibility: visible;
}

.service-desc-button {
  margin-left: 30px;
  margin-bottom: 5px;
  margin-right: 0;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  text-align: center;
  color: #000f8e;
}

.service-desc-button.mat-button-disabled {
  background-color: white !important;
}

.spinner-small:before {
  content: "";
  box-sizing: border-box;
  position: absolute;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: 10px;
  border-radius: 50%;
  border: 2px solid white;
  border-top-color: black;
  animation: spinner 0.8s linear infinite;
}


.input-fields {
  display: flex;
  align-items: center;

  .dataSetAddButon {
    display: flex;
    flex-direction: row;
    margin-right: 2vw;
    justify-content: center;
    align-items: center;
    gap: 8px;

    width: 20vw;
    background: #ffffff;
    font-family: "Titillium Web", serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 125%;
    border: 1px solid #000f8e;
    border-radius: 3px;
    color: #000f8e;

  }
}

.location-form {
  margin-right: 8px;
}


.aggregation-label {
  margin-right: 8px;
}

.hash-container {
  display: flex;
  flex-wrap: nowrap;
  overflow: auto;
  align-items: center;
  white-space: nowrap;

  .dataSet-item {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5vh;
    margin-left: 50px;
    min-width: 300px; // Adjust this value according to your desired width
    height: 44px;
    text-align: center;
    color: #000f8e;
    gap: 8px;
    border: 1px solid #000f8e;
    border-radius: 3px;


  }
}

.hash-item {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 50px;
  min-width: 300px; // Adjust this value according to your desired width
  height: 44px;
  text-align: center;
  color: #000f8e;
  gap: 8px;
  border: 1px solid #000f8e;
  border-radius: 3px;

}



.add-button {
  margin-left: 8px;
}
